<html devsite><head>
    <title>项目角色</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>Android 开放源代码项目 (AOSP) 涉及担任各种角色的人员。Google 负责 Android 产品管理以及核心框架和平台的工程流程；不过，该项目要考虑所有来源的贡献，而不仅仅只是 Google 的贡献。本页介绍了有兴趣者可以担任的各种角色。</p>
<p>任何有兴趣探索 Android 以及有兴趣为 Android 做贡献的人都可以使用 Android 开放源代码项目资源。任何人都可以加入论坛、提问、贡献补丁程序、报告错误、查看贡献者提交的补丁程序，以及使用相关工具。要开始进行 Android 代码方面的事情，请参阅<a href="/setup/contributing.html">贡献</a>。</p>
<h2 id="contributor">贡献者</h2>
<p>“贡献者”是指为 AOSP 源代码做贡献的人，包括 Google 或其他公司的员工，以及以个人名义为 Android 做贡献的个人开发者。Google 聘请的贡献者与其他贡献者并无差别；所有工程师都使用相同的工具（Git、Repo 和 Gerrit），遵循相同的代码审核流程，并遵守相同的代码样式要求，等等。</p>
<h2 id="developer">开发者</h2>
<p>“开发者”是指编写在 Android 设备上运行的应用的工程师。开发者与贡献者要具备的技能通常并没有太大差异。但 AOSP 使用“开发者”将使用该平台的工程师与为该平台做贡献的工程师区分开来。开发者（以及用户）是贡献者打造的 Android 平台的“客户”。因此，我们经常会提到开发者，尽管从技术层面来讲，其本质上并不是 AOSP 中的一个单独角色。</p>
<h2 id="verifier">验证者</h2>
<p>“验证者”负责测试更改请求。当有人向该项目提交了大量高质量代码后，项目负责人可能会邀请他们成为验证者。</p>
<p class="note"><strong>注意</strong>：目前，验证者的角色与审批者类似。</p>
<h2 id="approver">审批者</h2>
<p>“审批者”是该项目中经验丰富的成员，他们展现出了出色的设计技能，并为该项目做出了重大的技术贡献。在代码审核流程中，审批者会决定是纳入还是排除某项更改。项目负责人（通常是 Google 员工）负责选择审批者，有时也会将曾在特定项目中展现出杰出专业技能的验证者晋升为审批者。</p>
<h2 id="project-leads">项目负责人</h2>
<p>Android 包含许多子项目；您可以在 Git 存储库中看到这些作为单个 .git 文件存在的子项目。“项目负责人”是资深贡献者，负责监督各个 Android 项目的工程工作。这些项目负责人通常是 Google 员工。各个项目的负责人负责以下事项：</p>
<ul>
<li>
<p>主导项目的所有技术事宜，包括项目路线图、开发、发布周期、版本管理和质量保证 (QA)。</p>
</li>
<li>
<p>确保项目及时通过 QA 测试，不耽误预定的 Android 平台发布。</p>
</li>
<li>
<p>为贡献者提交的补丁程序指定验证者和审批者。</p>
</li>
<li>
<p>在审核更改时保持客观公正。根据技术价值以及是否符合 Android 策略来接受或拒绝补丁程序。</p>
</li>
<li>
<p>及时审核更改，并在更改未被接受时尽最大努力与相关人员进行沟通。</p>
</li>
<li>
<p>视需要维护项目的网站，以便提供针对相应项目的信息和文档。</p>
</li>
<li>
<p>担任解决技术冲突的调解者。</p>
</li>
<li>
<p>担任项目的公开负责人以及项目相关问题的联系人。</p>
</li>
</ul>

</body></html>